package com.sbh.background_locations.adapters

import android.content.Context
import com.sbh.background_locations.utils.SharedPreferenceUtil
import com.sbh.background_locations.utils.SingletonHolder
import org.json.JSONException
import org.json.JSONObject

class SBHConfig() {
    private lateinit var mContext: Context
    private var mIsEnabled: Boolean = false

    companion object : SingletonHolder<SBHConfig, Context>(::SBHConfig)

    constructor(context: Context) : this() {
        mContext = context
    }

    fun updateWithJSONObject(json: JSONObject) {
        SharedPreferenceUtil.setConfig(mContext, json)
    }

    //
//    fun isFirstBoot(): Boolean {
//        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
//    }
//
//    fun reset() {
//        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
//    }
//
    fun toJson(): Any {
        val con = SharedPreferenceUtil.getConfig(mContext)
        if (con != null) {
            return try {
                JSONObject(con)
            } catch (e: JSONException) {
                JSONObject.NULL
            }
        }
        return JSONObject.NULL
    }

    fun getEnabled(): Boolean {
        return mIsEnabled
    }
}